%if 0%{?fedora:1}
%global _use_maven 1
%endif
%if 0%{?rhel:1}
%if %{rhel} >= 7
%global _use_maven 1
%else
%global _use_maven 0
%endif
%endif

Name:           unboundid-ldapsdk
Version:        3.2.0
Release:        1%{?dist}
Summary:        UnboundID LDAP SDK for Java

License:        GPLv2 or LGPLv2+
URL:            https://www.ldap.com/unboundid-ldap-sdk-for-java
Source0:        https://github.com/UnboundID/ldapsdk/archive/%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  ant
%if 0%{?_use_maven}
BuildRequires:  maven-local
%else
BuildRequires:  jpackage-utils
%endif
Patch1:         unboundid-ldapsdk-3.0.0-build.patch

%description
The UnboundID LDAP SDK for Java is a fast, powerful, user-friendly, and
completely free Java library for communicating with LDAP directory servers and
performing related tasks like reading and writing LDIF, encoding and
decoding data using base64 and ASN.1 BER, and performing secure communication.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n ldapsdk-%{version}
#remove external prebuilt libraries
rm -rf ext
%patch1 -p1

sed -i 's|source="1.5" target="1.5"|source="1.6" target="1.6"|' build-se.xml
sed -i 's|source="1.5"|source="1.6"|' build-se.xml
sed -i 's|target="1.5"|target="1.6"|' build-se.xml

%build
# checkstyle configuration files were in the ext directory
# code doesn't pass checkstyle 5.6 disabling the check until upstream
# fixes it
# upstream added 3rd party subversion specific code so we need to removed it
# adding -Dsvn.version=0 to ant command line as we build release we do not
# actually care what svn version is.
ant -Dcheckstyle.enabled=false -Dsvn.version=0 -f build-se.xml package

%install

%jar -xf build/package/%{name}-%{version}-maven.jar
rm -fr META-INF
mkdir javadoc
cd javadoc
%jar -xf ../unboundid-ldapsdk-*-javadoc.jar
rm -fr META-INF
cd ..

%if 0%{?_use_maven}
%mvn_artifact %{name}-%{version}.pom %{name}-%{version}.jar
%mvn_file com.unboundid:%{name} %{name}
%mvn_install -J javadoc
%else
install -d -m 755 "%{buildroot}%{_javadir}"
install -p -m 644 "%{name}-%{version}.jar" "%{buildroot}%{_javadir}/%{name}.jar"
cat > .mfiles << __EOF__
%{_javadir}/%{name}.jar
__EOF__

install -d -m 755 "%{buildroot}%{_javadocdir}/%{name}"
cp -pr javadoc/* "%{buildroot}%{_javadocdir}/%{name}"
cat > .mfiles-javadoc << __EOF__
%doc %{_javadocdir}/%{name}/
__EOF__
%endif

%files -f .mfiles
%license dist-root-se/LICENSE.txt
%license dist-root-se/LICENSE-LGPLv2.1.txt
%license dist-root-se/LICENSE-UnboundID-LDAPSDK.txt
%license dist-root-se/LICENSE-GPLv2.txt
%doc dist-root-se/README.txt

%files javadoc -f .mfiles-javadoc
%license dist-root-se/LICENSE.txt
%license dist-root-se/LICENSE-LGPLv2.1.txt
%license dist-root-se/LICENSE-UnboundID-LDAPSDK.txt
%license dist-root-se/LICENSE-GPLv2.txt

%changelog
* Fri Sep 23 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 3.2.0-1
- Rebased on upstream 3.2.0
- Resolves: BZ#1379661

* Tue Jul 7 2015 Alon Bar-Lev <alonbl@redhat.com> 3.0.0-1
- Bump, rhbz#1237311 closer to fedora unboundid-ldapsdk-3.0.0-1.fc23

* Sun May 4 2014 Alon Bar-Lev <alonbl@redhat.com> 2.3.7-0.0.snap.r530
- Initial, rhbz#1111178
